import { isString } from "@pisell/utils";
//#region src/components/table/Table/fields/utils/index.ts
const getValueByKeys = (obj, keys) => {
	if (!keys) return keys;
	if (isString(keys)) keys = [keys];
	let result = obj;
	for (let key of keys) {
		var _result$hasOwnPropert;
		if (result && (result === null || result === void 0 || (_result$hasOwnPropert = result.hasOwnProperty) === null || _result$hasOwnPropert === void 0 ? void 0 : _result$hasOwnPropert.call(result, key))) result = result[key];
		else return;
	}
	return result;
};
//#endregion
export { getValueByKeys };
